// Code generated by github.com/99designs/gqlgen, DO NOT EDIT.

package weather

import (
	"time"
)

type Forecast struct {
	City    *string    `json:"City"`
	Weather []*Weather `json:"Weather"`
}

type MyForecast struct {
	UUID      string    `json:"uuid"`
	Timestamp int       `json:"timestamp"`
	Forecast  *Forecast `json:"Forecast"`
}

type Weather struct {
	Dt            *time.Time `json:"dt"`
	Condition     *int       `json:"condition"`
	Main          *string    `json:"main"`
	Day           *string    `json:"day"`
	TimeOfDay     *string    `json:"time_of_day"`
	TimeFriendly  *string    `json:"time_friendly"`
	Icon          *string    `json:"icon"`
	Description   *string    `json:"description"`
	Temperature   *float64   `json:"temperature"`
	Pressure      *float64   `json:"pressure"`
	Humidity      *float64   `json:"humidity"`
	WindSpeed     *float64   `json:"wind_speed"`
	WindDirection *int       `json:"wind_direction"`
	CloudCover    *float64   `json:"cloud_cover"`
	RainVolume    *float64   `json:"rain_volume"`
	SnowVolume    *float64   `json:"snow_volume"`
}
